Subject: [calsify] [Technical Errata Reported] RFC5545 (5602)

From: RFC Errata System <[email-masked]>
Date: Tue, 15 Jan 2019 05:11:24 -0800 (PST)

The following errata report has been submitted for RFC5545,
"Internet Calendaring and Scheduling Core Object Specification (iCalendar)".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5602

--------------------------------------
Type: Technical
Reported by: Carsten Bormann <[email-masked]>

Section: 3.1.3

Original Text
-------------
     ATTACH;FMTTYPE=text/plain;ENCODING=BASE64;VALUE=BINARY:VGhlIH
      F1aWNrIGJyb3duIGZveCBqdW1wcyBvdmVyIHRoZSBsYXp5IGRvZy4

Corrected Text
--------------
     ATTACH;FMTTYPE=text/plain;ENCODING=BASE64;VALUE=BINARY:VGhlIH
      F1aWNrIGJyb3duIGZveCBqdW1wcyBvdmVyIHRoZSBsYXp5IGRvZy4=

Notes
-----
The base64 text used in the example misses the base64 padding.  RFC 5545 appears to be using base64 according to RFC 4648 Section 4 with padding throughout, except for this example.  (The corrected text decodes to "The quick brown fox jumps over the lazy dog.")  Beyond temporary confusion in implementers, it is possible that this example will turn up in a test suite and ultimately cause unnecessarily lenient behavior of decoders ("soup"); it should be either clarified that this lenient behavior is not the intention or the behavior should be codified.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC5545 (draft-ietf-calsify-rfc2445bis-10)
--------------------------------------
Title               : Internet Calendaring and Scheduling Core Object Specification (iCalendar)
Publication Date    : September 2009
Author(s)           : B. Desruisseaux, Ed.
Category            : PROPOSED STANDARD
Source              : Calendaring and Scheduling Standards Simplification
Area                : Applications
Stream              : IETF
Verifying Party     : IESG

---

From: Bernard Desruisseaux <[email-masked]>
Date: Tue, 15 Jan 2019 08:47:24 -0500

Carsten is correct.  This errata should be approved.

> Le 15 janv. 2019 à 08:11, RFC Errata System <[email-masked]> a écrit :
> 
> https://urldefense.proofpoint.com/v2/url?u=http-3A__www.rfc-2Deditor.org_errata_eid5602&d=DwIBaQ&c=RoP1YumCXCgaWHvlZYR8PZh8Bv7qIrMUB65eapI_JnE&r=1KWjrk6WfltMq-xNvZw71GcUXlVStaOFvtc__OOO9f8&m=OPBWsu184D78UF-keK1yOsOPaJ4sEtBNL6i4XDAUzHE&s=i8ZHje_e-qR9q5M2GBnZpVoywotcMWvFsx1UW1MM-Ec&e=
>